package com.inkasso.adapter.tree;

import java.util.List;

/**
 * @author 张超
 * @date 2021-09-23
 */
public interface TreeNode {

  /**
   * 获取id
   */
  Object getId();

  /**
   * 获取父id
   *
   * @return
   */
  Object getPid();


  /**
   * 获取子节点
   *
   * @return
   */
  void setChildren(List treeNode);


  /**
   * 获取孩子节点
   *
   * @return
   */
  List getChildren();

}
